## dune-grid 2.5.0

=== dune/grid/test/CMakeLists.txt ===
add_subdirectory(yasp)

dune_add_test(SOURCES geometrygrid-coordfunction-copyconstructor.cc)

dune_add_test(NAME test-geogrid-yaspgrid
              SOURCES test-geogrid.cc
              LINK_LIBRARIES dunegrid
              COMPILE_DEFINITIONS COORDFUNCTION=IdenticalCoordFunction<double,2>
                                  CACHECOORDFUNCTION=0
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                  GRIDTYPE=Dune::YaspGrid<2>)

dune_add_test(NAME test-geogrid-uggrid
              SOURCES test-geogrid.cc
              LINK_LIBRARIES dunegrid
              COMPILE_DEFINITIONS COORDFUNCTION=IdenticalCoordFunction<double,2>
                                  CACHECOORDFUNCTION=0
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                  GRIDTYPE=Dune::UGGrid<2>
              CMAKE_GUARD UG_FOUND)

dune_add_test(SOURCES test-identitygrid.cc)

dune_add_test(SOURCES test-oned.cc
              LINK_LIBRARIES dunegrid)

dune_add_test(SOURCES test-mcmg-geogrid.cc)

dune_add_test(SOURCES testiteratorranges.cc)

dune_add_test(SOURCES test-hierarchicsearch.cc)

dune_add_test(SOURCES test-ug.cc
              CMAKE_GUARD UG_FOUND)

dune_add_test(SOURCES test-parallel-ug.cc
              CMAKE_GUARD UG_FOUND
              MPI_RANKS 1 2 3 4 8
              TIMEOUT 300)

dune_add_test(SOURCES test-loadbalancing.cc
              CMAKE_GUARD UG_FOUND)

# The alberta tests are only alibi-ported, until the  grid and world dimension
# are configuretime parameters and we can treat alberta just as any other grid manager
# - buildsystemwise. PLEASE DON'T LOOK AT THIS IF YOU WANT TO KNOW HOW TO WRITE TESTS.
if(ALBERTA_FOUND)
  add_executable(test-alberta EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta WORLDDIM 2)
  target_compile_definitions(test-alberta PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta)

  add_executable(test-alberta-1-1 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-1 GRIDDIM 1 WORLDDIM 1)
  target_compile_definitions(test-alberta-1-1 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-1-1)

  add_executable(test-alberta-1-1-no-deprecated EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-1-no-deprecated GRIDDIM 1 WORLDDIM 1)
  target_compile_definitions(test-alberta-1-1-no-deprecated PUBLIC
    DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
    DISABLE_DEPRECATED_METHOD_CHECK=1)
  dune_add_test(TARGET test-alberta-1-1-no-deprecated)

  add_executable(test-alberta-1-2 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-2 WORLDDIM 2)
  target_compile_definitions(test-alberta-1-2 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-1-2)

  add_executable(test-alberta-2-2 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-2-2 WORLDDIM 2)
  target_compile_definitions(test-alberta-2-2 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-2-2)

  add_executable(test-alberta-1-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-1-3 WORLDDIM 3)
  target_compile_definitions(test-alberta-1-3 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-1-3)

  add_executable(test-alberta-2-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-2-3 WORLDDIM 3)
  target_compile_definitions(test-alberta-2-3 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-2-3)

  add_executable(test-alberta-3-3 EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-3-3 WORLDDIM 3)
  target_compile_definitions(test-alberta-3-3 PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-3-3)

  add_executable(test-alberta-generic EXCLUDE_FROM_ALL test-alberta.cc)
  add_dune_alberta_flags(test-alberta-generic USE_GENERIC WORLDDIM 2)
  target_compile_definitions(test-alberta-generic PUBLIC DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-alberta-generic)
endif(ALBERTA_FOUND)

# install the test tools as we want to support testing 3rdparty grids with installed dune-grid
install(FILES basicunitcube.hh
              check-albertareader.hh
              checkadaptation.hh
              checkcomcorrectness.hh
              checkcommunicate.hh
              checkentitylifetime.hh
              checkentityseed.hh
              checkgeometry.hh
              checkgeometryinfather.hh
              checkgridfactory.hh
              checkindexset.hh
              checkintersectionit.hh
              checkintersectionlifetime.hh
              checkiterators.hh
              checkjacobians.hh
              checkpartition.hh
              checktwists.hh
              functions.hh
              gridcheck.hh
              staticcheck.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/test)

# clean up additional files during make clean. Unfortunately it is not possible with
# cmake to use search patterns here. Automake wanted to clean the following files:
# *.gcda *.gcno semantic.cache simplex-testgrid*.dgf.* cube-testgrid*.dgf.* dgfparser.log
# add files to the list as they appear.
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "semantic.cache;dgfparser.log")

=== debian/changelog ===
dune-grid (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Increase timeout for tensorgridfactorytest (took too long on sparc64).
    + new patch: increase-test-timeouts.patch
  * Remove build-dep on chrpath. It is no longer used since the switch to
    CMake in 2.5.0~rc1-1.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 18:03:39 +0100

dune-grid (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * Install example grids to /usr/share/dune-grid/grids.
    + New patch: example-grids-install-location.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 00:51:02 +0100

dune-grid (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Use libdune-uggrid-dev instead of libug-dev.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 01 Dec 2016 18:22:38 +0100

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 3.9.8
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.5.0),
 libdune-geometry-dev (>= 2.5.0),
 libdune-uggrid-dev (>= 2.5.0),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, pgf

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.5.0),
 libdune-geometry-dev (>= 2.5.0),
 libdune-uggrid-dev (>= 2.5.0),
 libalberta-dev (>= 2.0.1-5)
Suggests: libdune-grid-dbg (= ${binary:Version}),
 libdune-grid-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-dev (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel --builddirectory=build

override_dh_strip:
	dh_strip --dbg-package=libdune-grid-dbg

## dune-grid 2.5.1

=== CMakeLists.txt ===
# set up project
project("dune-grid" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.12)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("lib")
add_subdirectory("src")
add_subdirectory("cmake/modules")

# Use a  custom section to export path to the grid examples.
set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"@DUNE_MODULE_SRC_DOCDIR@/grids/\")
")
# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== lib/CMakeLists.txt ===
if(UG_FOUND)
  set(UGLIB _DUNE_TARGET_OBJECTS:uggrid_)
endif(UG_FOUND)

# OBJECT is needed since CMake 3.0.0
# but it conflicts with shared libs
set(_OBJECT_FLAG "OBJECT")
if(BUILD_SHARED_LIBS)
  set(_OBJECT_FLAG "")
endif()

dune_add_library(dunegrid
  _DUNE_TARGET_OBJECTS:onedgrid_
  _DUNE_TARGET_OBJECTS:dgfparser_
  _DUNE_TARGET_OBJECTS:dgfparserblocks_
  ${UGLIB}
  ADD_LIBS ${DUNE_LIBS})
add_dune_ug_flags(dunegrid ${_OBJECT_FLAG} NO_LINK_DUNEGRID)

if(ALBERTA_FOUND)
foreach(_dim ${ALBERTA_WORLD_DIMS})
  dune_add_library(dunealbertagrid_${_dim}d APPEND
    _DUNE_TARGET_OBJECTS:albertagrid_${_dim}d_
    _DUNE_TARGET_OBJECTS:dgfparser_
    _DUNE_TARGET_OBJECTS:dgfparserblocks_
    ADD_LIBS ${DUNE_LIBS})
  add_dune_alberta_flags(dunealbertagrid_${_dim}d ${_OBJECT_FLAG} NO_LINK_DUNEALBERTAGRID GRIDDIM ${_dim})
  list(APPEND DUNE_ALBERTA_LIBS dunealbertagrid_${_dim}d)
endforeach(_dim "${ALBERTA_DIMS}")
endif(ALBERTA_FOUND)

install(FILES dunegridam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== src/CMakeLists.txt ===
add_subdirectory(gridinfo-gmsh)

=== cmake/modules/CMakeLists.txt ===
include(GNUInstallDirs)

install(FILES
  AddAlbertaFlags.cmake
  AddAmiraMeshFlags.cmake
  AddPsurfaceFlags.cmake
  CheckExperimentalGridExtensions.cmake
  DuneGridMacros.cmake
  FindAlberta.cmake
  FindAmiraMesh.cmake
  FindPsurface.cmake
  GridType.cmake
  UseUG.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/grid/CMakeLists.txt ===
add_subdirectory(albertagrid)
add_subdirectory(common)
add_subdirectory(geometrygrid)
add_subdirectory(identitygrid)
add_subdirectory(io)
add_subdirectory(onedgrid)
add_subdirectory(test)
add_subdirectory(uggrid)
add_subdirectory(utility)
add_subdirectory(yaspgrid)

if(UG_FOUND)
  set(UGLIB $<TARGET_OBJECTS:uggrid>)
endif(UG_FOUND)

install(FILES
  albertagrid.hh
  geometrygrid.hh
  identitygrid.hh
  onedgrid.hh
  uggrid.hh
  yaspgrid.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid)

=== src/gridinfo-gmsh/CMakeLists.txt ===
if(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-2d gridinfo-gmsh-alberta-2d.cc)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-2d GRIDDIM 2)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-2d)
endif(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-3d gridinfo-gmsh-alberta-3d.cc)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-3d GRIDDIM 3)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-ug-2d gridinfo-gmsh-ug-2d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-2d)
  add_executable(dune-gridinfo-gmsh-ug-3d gridinfo-gmsh-ug-3d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-3d)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-ug-2d dune-gridinfo-gmsh-ug-3d)
endif(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(PROGRAMS)
  install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(PROGRAMS)

=== dune/grid/albertagrid/CMakeLists.txt ===
add_subdirectory(test)

if(ALBERTA_FOUND)
  set(ALBERTAGRID_SOURCES
    dgfparser.cc
    elementinfo.cc
    indexsets.cc
    macrodata.cc
    meshpointer.cc)
  # create dimension dependent alberta libraries
  foreach(_dim ${ALBERTA_WORLD_DIMS})
    list(APPEND ALBERTAGRID_LIBS albertagrid_${_dim}d)
    dune_add_library(albertagrid_${_dim}d OBJECT ${ALBERTAGRID_SOURCES})
  endforeach(_dim RANGE 1 9)
endif(ALBERTA_FOUND)

#install header
set(HEADERS
  agrid.hh
  albertagrid.cc
  albertaheader.hh
  indexsets.hh
  indexstack.hh
  datahandle.hh
  misc.hh
  macroelement.hh
  elementinfo.hh
  geometrycache.hh
  meshpointer.hh
  macrodata.hh
  dofadmin.hh
  dofvector.hh
  refinement.hh
  coordcache.hh
  level.hh
  undefine-2.0.hh
  undefine-3.0.hh
  entity.hh
  entity.cc
  entitypointer.hh
  entityseed.hh
  hierarchiciterator.hh
  algebra.hh
  geometry.hh
  geometry.cc
  projection.hh
  transformation.hh
  leveliterator.hh
  leafiterator.hh
  treeiterator.hh
  intersection.hh
  intersection.cc
  intersectioniterator.hh
  capabilities.hh
  gridfactory.hh
  dgfparser.hh
  albertareader.hh
  gridfamily.hh
  gridview.hh
  persistentcontainer.hh
  backuprestore.hh
  geometryreference.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/albertagrid/)

=== dune/grid/common/CMakeLists.txt ===
set(HEADERS
  adaptcallback.hh
  backuprestore.hh
  boundaryprojection.hh
  boundarysegment.hh
  capabilities.hh
  datahandleif.hh
  defaultgridview.hh
  entity.hh
  entityiterator.hh
  entitypointer.hh
  entityseed.hh
  exceptions.hh
  geometry.hh
  grid.hh
  gridenums.hh
  gridfactory.hh
  gridinfo.hh
  gridview.hh
  indexidset.hh
  intersection.hh
  intersectioniterator.hh
  mcmgmapper.hh
  mapper.hh
  partitionset.hh
  rangegenerators.hh
  sizecache.hh
  scsgmapper.hh
  universalmapper.hh)

add_subdirectory(test)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/common)

=== dune/grid/test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
                                   GRIDTYPE=Dune::UGGrid<2>
               CMAKE_GUARD UG_FOUND)
 
+dune_add_test(SOURCES test-gridinfo.cc)
+
 dune_add_test(SOURCES test-identitygrid.cc)
 
 dune_add_test(SOURCES test-oned.cc
@@ -39,6 +41,9 @@
               TIMEOUT 300)
 
 dune_add_test(SOURCES test-loadbalancing.cc
+              CMAKE_GUARD UG_FOUND)
+
+dune_add_test(SOURCES issue-53-uggrid-intersections.cc
               CMAKE_GUARD UG_FOUND)
 
 # The alberta tests are only alibi-ported, until the  grid and world dimension

=== dune/grid/uggrid/CMakeLists.txt ===
if(UG_FOUND)
  dune_add_library("uggrid" OBJECT
    uggridintersections.cc
    uggrid.cc
    uggridentity.cc
    boundaryextractor.cc
    boundaryextractor.hh
    uggridindexsets.cc
    uggridfactory.cc
    uggridgeometry.cc
    uggridhieriterator.cc)
endif(UG_FOUND)

exclude_all_but_from_headercheck(
  boundaryextractor.hh
  ug_undefs.hh)

set(HEADERS
  uggridfactory.hh
  uggridentityseed.hh
  uggridentity.hh
  uggridgeometry.hh
  uggridlocalgeometry.hh
  uggridhieriterator.hh
  uggridleveliterator.hh
  uggridviews.hh
  ugincludes.hh
  uggridintersections.hh
  uggridintersectioniterators.hh
  uggridindexsets.hh
  uggridleafiterator.hh
  uggridrenumberer.hh
  ug_undefs.hh
  uglbgatherscatter.hh
  ugmessagebuffer.hh
  ugwrapper.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/uggrid)

# tricks like undefAllMacros.pl don't have to be shipped, have they?
# Oliver Sander: It depends. undefAllMacros.pl creates the file ug_undefs.hh
# which contains an undef line for each macro encountered in the UG
# headers which DUNE includes.  This should be redone every time UG
# changes, and currently I do it and then check in the new ug_undefs.hh.
# An alternative would be to have the DUNE-build system call undefAllMacros
# for the UG it is configured with.  Then it needed to be shipped.")

=== dune/grid/yaspgrid/CMakeLists.txt ===
set(HEADERS
  backuprestore.hh
  coordinates.hh
  partitioning.hh
  structuredyaspgridfactory.hh
  torus.hh
  yaspgridentity.hh
  yaspgridentitypointer.hh
  yaspgridentityseed.hh
  yaspgridgeometry.hh
  yaspgridhierarchiciterator.hh
  yaspgridindexsets.hh
  yaspgridintersection.hh
  yaspgridintersectioniterator.hh
  yaspgrididset.hh
  yaspgridleveliterator.hh
  yaspgridpersistentcontainer.hh
  ygrid.hh)

exclude_all_but_from_headercheck(backuprestore.hh torus.hh coordinates.hh ygrid.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/yaspgrid/)

=== dune/grid/albertagrid/test/CMakeLists.txt ===
if(ALBERTA_FOUND)
  add_executable(test-alberta3d-refine test-alberta3d-refine.cc)
  add_dune_alberta_flags(test-alberta3d-refine GRIDDIM 3)
  dune_add_test(TARGET test-alberta3d-refine)
endif(ALBERTA_FOUND)

=== debian/changelog ===
dune-grid (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867076)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:10:59 +0200

dune-grid (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 17:27:01 +0200

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 4.0.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.5.1),
 libdune-geometry-dev (>= 2.5.1),
 libdune-uggrid-dev (>= 2.5.1),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.5.1),
 libdune-geometry-dev (>= 2.5.1),
 libdune-uggrid-dev (>= 2.5.1),
 libalberta-dev (>= 2.0.1-5)
Suggests: libdune-grid-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

## dune-grid 2.6.0

=== doc/grids/CMakeLists.txt ===
add_subdirectory(amc)
add_subdirectory(amiramesh)
add_subdirectory(gridfactory)
add_subdirectory(gmsh)
add_subdirectory(starcd)
add_subdirectory(dgf)

=== doc/grids/amc/CMakeLists.txt ===
set(GRIDS
  grid-1-1.amc
  grid-1-2.amc
  grid-2-2.amc
  grid-1-3.amc
  grid-2-3.amc
  grid-3-3.amc
  grid-2-4.amc
  macro.amc
  periodic-torus.amc)

install(FILES ${GRIDS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/amc)

=== doc/grids/gmsh/CMakeLists.txt ===
set(GRIDS
  circle1storder.msh
  circle2ndorder.msh
  circle.geo
  curved2d.geo
  curved2d.msh
  hybrid-testgrid-2d.msh
  hybrid-testgrid-3d.msh
  oned-testgrid.msh
  pyramid1storder.msh
  pyramid2ndorder.msh
  pyramid4.msh
  pyramid.geo
  pyramid.msh
  sphere.msh
  telescope1storder.msh
  telescope2ndorder.msh
  telescope.geo
  telescope.msh
  twotets.geo
  twotets.msh)
install(FILES ${GRIDS} DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gmsh)

=== dune/grid/albertagrid/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,6 @@
   undefine-3.0.hh
   entity.hh
   entity.cc
-  entitypointer.hh
   entityseed.hh
   hierarchiciterator.hh
   algebra.hh

=== dune/grid/identitygrid/CMakeLists.txt ===
set(HEADERS
  identitygridentity.hh
  identitygridentityseed.hh
  identitygridhierarchiciterator.hh
  identitygridgeometry.hh
  identitygridintersectioniterator.hh
  identitygridintersections.hh
  identitygridindexsets.hh
  identitygridleafiterator.hh
  identitygridleveliterator.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/identitygrid)

=== dune/grid/onedgrid/CMakeLists.txt ===
set(HEADERS nulliteratorfactory.hh
  onedgridentity.hh
  onedgridentityseed.hh
  onedgridfactory.hh
  onedgridhieriterator.hh
  onedgridindexsets.hh
  onedgridleafiterator.hh
  onedgridleveliterator.hh
  onedgridlist.hh
  onedgridintersections.hh
  onedgridintersectioniterators.hh
  onedgridviews.hh)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/onedgrid/)

# Some of the OnedGrid headers do not pass make headercheck,
# and they don't need to necessarily. Remove this line when headers are fixed
exclude_from_headercheck( onedgridleafiterator.hh onedgridleveliterator.hh onedgridhieriterator.hh )

dune_add_library(onedgrid OBJECT
  onedgrid.cc
  onedgridfactory.cc
  nulliteratorfactory.cc)

=== dune/grid/test/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
                                   CACHECOORDFUNCTION=0
                                   DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                   GRIDTYPE=Dune::UGGrid<2>
-              CMAKE_GUARD UG_FOUND)
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 dune_add_test(SOURCES test-gridinfo.cc)
 
@@ -33,18 +33,18 @@
 dune_add_test(SOURCES test-hierarchicsearch.cc)
 
 dune_add_test(SOURCES test-ug.cc
-              CMAKE_GUARD UG_FOUND)
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 dune_add_test(SOURCES test-parallel-ug.cc
-              CMAKE_GUARD UG_FOUND
+              CMAKE_GUARD dune-uggrid_FOUND
               MPI_RANKS 1 2 3 4 8
               TIMEOUT 300)
 
 dune_add_test(SOURCES test-loadbalancing.cc
-              CMAKE_GUARD UG_FOUND)
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 dune_add_test(SOURCES issue-53-uggrid-intersections.cc
-              CMAKE_GUARD UG_FOUND)
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 # The alberta tests are only alibi-ported, until the  grid and world dimension
 # are configuretime parameters and we can treat alberta just as any other grid manager
@@ -109,6 +109,7 @@
               checkgeometry.hh
               checkgeometryinfather.hh
               checkgridfactory.hh
+              checkidset.hh
               checkindexset.hh
               checkintersectionit.hh
               checkintersectionlifetime.hh

=== dune/grid/uggrid/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-if(UG_FOUND)
+if(dune-uggrid_FOUND)
   dune_add_library("uggrid" OBJECT
     uggridintersections.cc
     uggrid.cc
@@ -9,7 +9,7 @@
     uggridfactory.cc
     uggridgeometry.cc
     uggridhieriterator.cc)
-endif(UG_FOUND)
+endif()
 
 exclude_all_but_from_headercheck(
   boundaryextractor.hh

=== dune/grid/common/test/CMakeLists.txt ===
dune_add_test(SOURCES scsgmappertest.cc)

dune_add_test(SOURCES mcmgmappertest.cc
              CMAKE_GUARD dune-uggrid_FOUND)

=== dune/grid/test/yasp/CMakeLists.txt ===
# Add all tests without deprecations
dune_add_test(NAME test-yaspgrid-backuprestore-equidistant
              SOURCES test-yaspgrid-backuprestore-equidistant.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-backuprestore-equidistantoffset
              SOURCES test-yaspgrid-backuprestore-equidistantoffset.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-backuprestore-tensor
              SOURCES test-yaspgrid-backuprestore-tensor.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(SOURCES test-yaspgrid-entityshifttable.cc)

dune_add_test(NAME test-yaspgrid-tensorgridfactory
              SOURCES test-yaspgrid-tensorgridfactory.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-1d
              SOURCES test-yaspgrid-yaspfactory-1d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-2d
              SOURCES test-yaspgrid-yaspfactory-2d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-3d
              SOURCES test-yaspgrid-yaspfactory-3d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

=== dune/grid/utility/test/CMakeLists.txt ===
dune_add_test(SOURCES globalindexsettest.cc)

dune_add_test(SOURCES persistentcontainertest.cc)

dune_add_test(SOURCES structuredgridfactorytest.cc
              LINK_LIBRARIES dunegrid)

dune_add_test(SOURCES tensorgridfactorytest.cc
              LINK_LIBRARIES dunegrid)

dune_add_test(SOURCES vertexordertest.cc
              LINK_LIBRARIES dunegrid)

=== dune/grid/io/file/dgfparser/CMakeLists.txt ===
add_subdirectory(blocks)
add_subdirectory(test)
add_subdirectory(utils)

dune_add_library(dgfparser OBJECT dgfparser.cc dgfug.cc)

install(FILES
  dgfexception.hh
  dgfidentitygrid.hh
  dgfug.hh
  dgfparser.hh
  dgfgeogrid.hh
  dgfwriter.hh
  dgfyasp.hh
  entitykey.hh
  entitykey_inline.hh
  dgfoned.hh
  dgfgridfactory.hh
  macrogrid.hh
  gridptr.hh
  parser.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/io/file/dgfparser)

=== debian/changelog ===
dune-grid (2.6.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:03 +0100

dune-grid (2.6.0-5) unstable; urgency=medium

  * Backport patch to fix float comparison on i386.
    + new patch: i386-fpu-tolerance.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Oct 2019 15:17:06 +0200

dune-grid (2.6.0-4) unstable; urgency=medium

  * Use python3-vtk7 for tests. (Closes: #942000)
    + new patch: use-python3.patch
  * Bumped Standards-Version to 4.4.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 09 Oct 2019 17:57:13 +0200

dune-grid (2.6.0-3) unstable; urgency=medium

  * Backport patch to fix base64 encoder on big endian.
    + new patch: 0001-fix-base64-encoder.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 23:43:09 +0200

dune-grid (2.6.0-2) unstable; urgency=medium

  * Add a simple autopkgtest.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 11:24:46 +0200

dune-grid (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 04 Apr 2018 00:08:47 +0200

dune-grid (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * add Build-Depends: python-vtk6 to enable additional tests
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 08 Jan 2018 13:02:28 +0100

dune-grid (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-grid-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 21 Nov 2017 09:28:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
+Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1),
- libdune-geometry-dev (>= 2.5.1),
- libdune-uggrid-dev (>= 2.5.1),
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.6.0),
+ libdune-geometry-dev (>= 2.6.0),
+ libdune-uggrid-dev (>= 2.6.0),
  libalberta-dev (>= 2.0.1-5),
- libgmp-dev
+ libgmp-dev,
+ python3-vtk7
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-grid-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.1),
- libdune-geometry-dev (>= 2.5.1),
- libdune-uggrid-dev (>= 2.5.1),
+ libdune-common-dev (>= 2.6.0),
+ libdune-geometry-dev (>= 2.6.0),
+ libdune-uggrid-dev (>= 2.6.0),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
@@ -40,6 +42,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- grid interface (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

=== debian/tests/control ===
Tests: basic
Depends:
  libdune-grid-dev,
  libdune-common-dev (>= 2.6.0-3~),
  build-essential,
  mpi-default-bin, mpi-default-dev,
Restrictions: allow-stderr

## dune-grid 2.7.0

=== debian/changelog ===
dune-grid (2.7.0-2ubuntu1) groovy; urgency=medium

  * Reduce parallelism to 3 in arm64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:48:05 +0200

dune-grid (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:42:38 +0200

dune-grid (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that were applied upstream:
    - removed patch: 0001-fix-base64-encoder.patch
    - removed patch: i386-fpu-tolerance.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 18:43:31 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build

## dune-grid 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-grid" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)
add_subdirectory(grids)

=== dune/CMakeLists.txt ===
add_subdirectory(grid)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-if(UG_FOUND)
+if(dune-uggrid_FOUND)
   set(UGLIB _DUNE_TARGET_OBJECTS:uggrid_)
-endif(UG_FOUND)
+endif()
 
 # OBJECT is needed since CMake 3.0.0
 # but it conflicts with shared libs

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
   AddAlbertaFlags.cmake
   AddAmiraMeshFlags.cmake
   AddPsurfaceFlags.cmake
-  CheckExperimentalGridExtensions.cmake
   DuneGridMacros.cmake
   FindAlberta.cmake
   FindAmiraMesh.cmake

=== dune/grid/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,9 @@
 add_subdirectory(utility)
 add_subdirectory(yaspgrid)
 
-if(UG_FOUND)
+if(dune-uggrid_FOUND)
   set(UGLIB $<TARGET_OBJECTS:uggrid>)
-endif(UG_FOUND)
+endif()
 
 install(FILES
   albertagrid.hh

=== src/gridinfo-gmsh/CMakeLists.txt ===
--- 
+++ 
@@ -10,13 +10,13 @@
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
 endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
 
-if(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
+if(dune-uggrid_FOUND AND ENABLE_GRID_EXTRA_UTILS)
   add_executable(dune-gridinfo-gmsh-ug-2d gridinfo-gmsh-ug-2d.cc)
   add_dune_ug_flags(dune-gridinfo-gmsh-ug-2d)
   add_executable(dune-gridinfo-gmsh-ug-3d gridinfo-gmsh-ug-3d.cc)
   add_dune_ug_flags(dune-gridinfo-gmsh-ug-3d)
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-ug-2d dune-gridinfo-gmsh-ug-3d)
-endif(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
+endif()
 
 if(PROGRAMS)
   install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/grids/gridfactory/CMakeLists.txt ===
install(FILES hybridtestgrids.hh testgrids.hh
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gridfactory)

=== dune/grid/albertagrid/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
   # create dimension dependent alberta libraries
   foreach(_dim ${ALBERTA_WORLD_DIMS})
     list(APPEND ALBERTAGRID_LIBS albertagrid_${_dim}d)
-    dune_add_library(albertagrid_${_dim}d OBJECT ${ALBERTAGRID_SOURCES})
+    dune_add_library(albertagrid_${_dim}d OBJECT SOURCES ${ALBERTAGRID_SOURCES})
   endforeach(_dim RANGE 1 9)
 endif(ALBERTA_FOUND)

=== dune/grid/common/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   defaultgridview.hh
   entity.hh
   entityiterator.hh
-  entitypointer.hh
   entityseed.hh
   exceptions.hh
   geometry.hh

=== dune/grid/geometrygrid/CMakeLists.txt ===
set(HEADERS
  backuprestore.hh
  cachedcoordfunction.hh
  capabilities.hh
  cornerstorage.hh
  coordfunction.hh
  coordfunctioncaller.hh
  datahandle.hh
  declaration.hh
  entity.hh
  entityseed.hh
  geometry.hh
  grid.hh
  gridfamily.hh
  gridview.hh
  hostcorners.hh
  identity.hh
  idset.hh
  indexsets.hh
  intersection.hh
  intersectioniterator.hh
  iterator.hh
  persistentcontainer.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/geometrygrid)

=== dune/grid/io/CMakeLists.txt ===
add_subdirectory(file)

=== debian/changelog ===
dune-grid (2.7.1-2ubuntu1) hirsute; urgency=medium

  * Lower parallel builds on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jan 2021 13:16:22 +0100

dune-grid (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:33:42 +0100

dune-grid (2.7.1-1) experimental; urgency=medium

  * New upstream release

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 07 Jan 2021 10:11:23 +0100

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

ifneq (,$(filter ppc64el, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build

## dune-grid 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-grid" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.13)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -27,9 +27,19 @@
 add_subdirectory("src")
 add_subdirectory("cmake/modules")
 
+# if Python bindings are enabled, include necessary sub directories.
+if( DUNE_ENABLE_PYTHONBINDINGS )
+  add_subdirectory("python")
+  dune_python_install_package(PATH python)
+endif()
+
 # Use a  custom section to export path to the grid examples.
 set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
-set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"@DUNE_MODULE_SRC_DOCDIR@/grids/\")
+if(${ProjectName}_INSTALLED)
+  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/${CMAKE_INSTALL_DOCDIR}/grids/\")
+else()
+  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/doc/grids/\")
+endif()
 ")
 # finalize the dune project, e.g. generating config.h etc.
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)
add_subdirectory(grids)
add_subdirectory(recipes)

=== dune/CMakeLists.txt ===
add_subdirectory(grid)
# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== lib/CMakeLists.txt ===
if(dune-uggrid_FOUND)
  set(UGLIB _DUNE_TARGET_OBJECTS:uggrid_)
endif()

# OBJECT is needed since CMake 3.0.0
# but it conflicts with shared libs
set(_OBJECT_FLAG "OBJECT")
if(BUILD_SHARED_LIBS)
  set(_OBJECT_FLAG "")
endif()

dune_add_library(dunegrid
  _DUNE_TARGET_OBJECTS:onedgrid_
  _DUNE_TARGET_OBJECTS:dgfparser_
  _DUNE_TARGET_OBJECTS:dgfparserblocks_
  ${UGLIB}
  ADD_LIBS ${DUNE_LIBS})
add_dune_ug_flags(dunegrid ${_OBJECT_FLAG} NO_LINK_DUNEGRID)

if(Alberta_FOUND)
  foreach(_dim ${ALBERTA_WORLD_DIMS})
    dune_add_library(dunealbertagrid${_dim}d $<TARGET_OBJECTS:albertagrid${_dim}d> ADD_LIBS dunegrid)
  endforeach(_dim)
endif()

install(FILES dunegridam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== doc/recipes/CMakeLists.txt ===

dune_add_test(SOURCES recipe-iterate-over-grid.cc)
dune_add_test(SOURCES recipe-integration.cc)

=== dune/python/CMakeLists.txt ===
add_subdirectory(grid)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
add_subdirectory(grid)

add_python_targets(dune
  __init__
)

=== src/gridinfo-gmsh/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
 if(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
   add_executable(dune-gridinfo-gmsh-alberta-2d gridinfo-gmsh-alberta-2d.cc)
+  target_link_libraries(dune-gridinfo-gmsh-alberta-2d PRIVATE dunegrid)
   add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-2d GRIDDIM 2)
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-2d)
 endif(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
 
 if(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
   add_executable(dune-gridinfo-gmsh-alberta-3d gridinfo-gmsh-alberta-3d.cc)
+  target_link_libraries(dune-gridinfo-gmsh-alberta-3d PRIVATE dunegrid)
   add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-3d GRIDDIM 3)
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
 endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

=== doc/grids/dgf/CMakeLists.txt ===
set(GRIDS
  basicunitcube-2d.dgf
  cube-2.dgf
  cube_grid.dgf
  cube-testgrid-2-2.dgf
  cube-testgrid-2-3.dgf
  distorted-cube-3.dgf
  examplegrid10a.dgf
  examplegrid10b.dgf
  examplegrid10.dgf
  examplegrid11.dgf
  examplegrid12.dgf
  examplegrid1c.dgf
  examplegrid1gen.dgf
  examplegrid1s.dgf
  examplegrid2a.dgf
  examplegrid2b.dgf
  examplegrid2c.dgf
  examplegrid2d.dgf
  examplegrid2e.dgf
  examplegrid5.dgf
  examplegrid6.dgf
  examplegrid7.dgf
  examplegrid9.dgf
  example-projection.dgf
  grid2Y.dgf
  grid3A.dgf
  grid3Y.dgf
  helix.dgf
  octahedron.dgf
  simplex-testgrid-1-1.dgf
  simplex-testgrid-1-2.dgf
  simplex-testgrid-2-2.dgf
  simplex-testgrid-1-3.dgf
  simplex-testgrid-2-3.dgf
  simplex-testgrid-3-3.dgf
  simplex-testgrid-3-3-large.dgf
  test1d.dgf
  test1d-vertex.dgf
  test2d.dgf
  test2d_offset.dgf
  test2ug.dgf
  test3d.dgf
  torus-2.dgf
  torus-3.dgf
  unstr_cube.dgf)

install(FILES ${GRIDS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/dgf)

=== doc/grids/gmsh/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,6 @@
   telescope.geo
   telescope.msh
   twotets.geo
-  twotets.msh)
+  twotets.msh
+  unitcube.msh)
 install(FILES ${GRIDS} DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gmsh)

=== doc/grids/starcd/CMakeLists.txt ===
set(GRIDS
  star.vrt
  tets.vrt
  withprism.vrt
  withpyramid.vrt
  star.cel
  tets.cel
  withprism.cel
  withpyramid.cel)

install(FILES ${GRIDS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/starcd)

=== dune/grid/albertagrid/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,22 @@
 add_subdirectory(test)
 
-if(ALBERTA_FOUND)
+if(Alberta_FOUND)
   set(ALBERTAGRID_SOURCES
     dgfparser.cc
     elementinfo.cc
     indexsets.cc
     macrodata.cc
     meshpointer.cc)
-  # create dimension dependent alberta libraries
+
+  # Create dimension dependent alberta libraries:
+  # Note, all libraries and flags are set PRIVATE only to not mix up
+  # flags when linked together.
   foreach(_dim ${ALBERTA_WORLD_DIMS})
-    list(APPEND ALBERTAGRID_LIBS albertagrid_${_dim}d)
-    dune_add_library(albertagrid_${_dim}d OBJECT SOURCES ${ALBERTAGRID_SOURCES})
-  endforeach(_dim RANGE 1 9)
-endif(ALBERTA_FOUND)
+    add_library(albertagrid${_dim}d OBJECT ${ALBERTAGRID_SOURCES})
+    target_link_libraries(albertagrid${_dim}d PUBLIC Alberta::AlbertaGrid_${_dim}d)
+    target_compile_definitions(albertagrid${_dim}d PRIVATE ALBERTA_DIM=${_dim} ENABLE_ALBERTA)
+  endforeach(_dim)
+endif()
 
 #install header
 set(HEADERS
@@ -58,6 +62,7 @@
   gridview.hh
   persistentcontainer.hh
   backuprestore.hh
+  structuredgridfactory.hh
   geometryreference.hh)
 
 install(FILES ${HEADERS}

=== debian/changelog ===
dune-grid (2.8.0-2) unstable; urgency=medium

  * d/patches: Add patch to increase ug parallel test timeout

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:22:30 +0200

dune-grid (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Include example-grids-install-location patch again.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 11:33:46 +0200

dune-grid (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake
  * Removed obsolete patches.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 07:21:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0),
- libdune-uggrid-dev (>= 2.6.0),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0),
+ libdune-uggrid-dev (>= 2.8.0),
  libalberta-dev (>= 2.0.1-5),
  libgmp-dev,
  python3-vtk7
@@ -23,9 +23,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0),
- libdune-uggrid-dev (>= 2.6.0),
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0),
+ libdune-uggrid-dev (>= 2.8.0),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
